Çok Yakında Yeni Bir Arayüzle karşınızdayız! http://yeni.delphican.com/

Konuyu Oyla:
  • Derecelendirme: 0/5 - 0 oy
  • 1
  • 2
  • 3
  • 4
  • 5
Android Derleme Hatası
#1
Arkadaşlar Rad Studio XE 10.2 kurulumu ile birlikte gelen android-ndk-r9c ve android-sdk-windows yeterli gelirmi yoksa developer.android.com'da bulunan sdk ve ndk'larıda yüklemek gerekiyormu?

Teşekkürler
Cevapla
#2
(30-09-2018, Saat: 10:57)burakb44 Adlı Kullanıcıdan Alıntı: Arkadaşlar Rad Studio XE 10.2 kurulumu ile birlikte gelen android-ndk-r9c ve android-sdk-windows yeterli gelirmi yoksa developer.android.com'da bulunan sdk ve ndk'larıda yüklemek gerekiyormu?

Teşekkürler
Sensörler için uygulama tasarlamak istediğimde çoğu sensör için NDK sürümü yeterli gelmedi. Ilgili siteden indirdigimde de Delphi kabul etmedi.
Cevapla
#3
(30-09-2018, Saat: 12:05)10.Köy Adlı Kullanıcıdan Alıntı:
(30-09-2018, Saat: 10:57)burakb44 Adlı Kullanıcıdan Alıntı: Arkadaşlar Rad Studio XE 10.2 kurulumu ile birlikte gelen android-ndk-r9c ve android-sdk-windows yeterli gelirmi yoksa developer.android.com'da bulunan sdk ve ndk'larıda yüklemek gerekiyormu?

Teşekkürler
Sensörler için uygulama tasarlamak istediğimde çoğu sensör için NDK sürümü yeterli gelmedi. Ilgili siteden indirdigimde de Delphi kabul etmedi.

sizde hangi kütüphaneler yüklü ? sdk ve ndk olarak?
Cevapla
#4
(30-09-2018, Saat: 12:59)burakb44 Adlı Kullanıcıdan Alıntı:
(30-09-2018, Saat: 12:05)10.Köy Adlı Kullanıcıdan Alıntı: Sensörler için uygulama tasarlamak istediğimde çoğu sensör için NDK sürümü yeterli gelmedi. Ilgili siteden indirdigimde de Delphi kabul etmedi.

sizde hangi kütüphaneler yüklü ? sdk ve ndk olarak?

Sdk manager 25.2.5, api olarak 27, ndk olarak ki zaten varsayılan olarak o sürüm geliyor hep r9c
Cevapla
#5
Api'leri güncelleyince android 7 için derleme yaptı,
hata sürüm farklılığından kaynaklanıyormuş.
Cevapla
#6
(30-09-2018, Saat: 18:00)burakb44 Adlı Kullanıcıdan Alıntı: Api'leri güncelleyince android 7 için derleme yaptı,
hata sürüm farklılığından kaynaklanıyormuş.

Siz Api'yi guncellediginizde ndk da güncelledi mi
Cevapla
#7
(30-09-2018, Saat: 19:09)10.Köy Adlı Kullanıcıdan Alıntı:
(30-09-2018, Saat: 18:00)burakb44 Adlı Kullanıcıdan Alıntı: Api'leri güncelleyince android 7 için derleme yaptı,
hata sürüm farklılığından kaynaklanıyormuş.

Siz Api'yi guncellediginizde ndk da güncelledi mi


Şimdi baktım ndk güncellenmiş
Cevapla
#8
(30-09-2018, Saat: 21:21)burakb44 Adlı Kullanıcıdan Alıntı:
(30-09-2018, Saat: 19:09)10.Köy Adlı Kullanıcıdan Alıntı: Siz Api'yi guncellediginizde ndk da güncelledi mi


Şimdi baktım ndk güncellenmiş

Siz bana fikir verebilir misiniz? Bende Tokyo Community sürümü var. Varsayılan kurulu gelen 24 SDK manager r9c NDK sürümü var.
Api 27 SDK güncellemesi yaptığımda r9c NDK güncellemiyor. Ne yaptımsa da olmadı şimdiye kadar.  Aşağıda ki konu da benim açtığım bir yardım isteği.  Sizce nerede hata yapıyorum?

http://www.delphican.com/embarcadero-sen...miyor.html
Cevapla
#9
(30-09-2018, Saat: 22:12)10.Köy Adlı Kullanıcıdan Alıntı:
(30-09-2018, Saat: 21:21)burakb44 Adlı Kullanıcıdan Alıntı: Şimdi baktım ndk güncellenmiş

Siz bana fikir verebilir misiniz? Bende Tokyo Community sürümü var. Varsayılan kurulu gelen 24 SDK manager r9c NDK sürümü var.
Api 27 SDK güncellemesi yaptığımda r9c NDK güncellemiyor. Ne yaptımsa da olmadı şimdiye kadar.  Aşağıda ki konu da benim açtığım bir yardım isteği.  Sizce nerede hata yapıyorum?

http://www.delphican.com/embarcadero-sen...miyor.html

Hocam tüm kurulumları kaldırdım, rad studio ve android api'lerini, temiz bir kurulum sonrası sadece lazım olan api'yi kurdur problem çözüldü. Api'ler kurulurken bir ihtimal çakışma yapıyor olabilir.
Cevapla
#10
(30-09-2018, Saat: 22:22)burakb44 Adlı Kullanıcıdan Alıntı:
(30-09-2018, Saat: 22:12)10.Köy Adlı Kullanıcıdan Alıntı: Siz bana fikir verebilir misiniz? Bende Tokyo Community sürümü var. Varsayılan kurulu gelen 24 SDK manager r9c NDK sürümü var.
Api 27 SDK güncellemesi yaptığımda r9c NDK güncellemiyor. Ne yaptımsa da olmadı şimdiye kadar.  Aşağıda ki konu da benim açtığım bir yardım isteği.  Sizce nerede hata yapıyorum?

http://www.delphican.com/embarcadero-sen...miyor.html

Hocam tüm kurulumları kaldırdım, rad studio ve android api'lerini, temiz bir kurulum sonrası sadece lazım olan api'yi kurdur problem çözüldü. Api'ler kurulurken bir ihtimal çakışma yapıyor olabilir.
PC'ye format dahi attım ama bir çözüm yolu buldum sanırım deneyip çözülürse sonucu hem buradan hem konudan benim gibi zorluk yaşayabilecek kişiler için paylaşacağım inşallah.
Cevapla


Konu ile Alakalı Benzer Konular
Konular Yazar Yorumlar Okunma Son Yorum
  Android & iOS için Barcode ve QR Component Önerisi Halil Han Badem 6 244 10-02-2020, Saat: 20:45
Son Yorum: mcuyan
  Socket error #110. connection time out hatası hbulus 6 182 05-02-2020, Saat: 13:11
Son Yorum: adelphiforumz
  FMX (IOS, Android) HTML Parse pro_imaj 3 205 05-02-2020, Saat: 10:38
Son Yorum: pro_imaj
  OrangeUI ComboBox hatası Bay_Y 2 159 27-01-2020, Saat: 09:40
Son Yorum: Bay_Y
  Android 64 Bit gdbserver kadrikaya 1 161 26-01-2020, Saat: 23:03
Son Yorum: kadrikaya



Konuyu Okuyanlar: 1 Ziyaretçi